> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer custom fields



## OpenAPI

````yaml /openapi.json get /v1/customer_custom_fields/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/customer_custom_fields/:
    get:
      tags:
        - Customer Custom Fields
      summary: List customer custom fields
      operationId: v1_customer_custom_fields_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomField'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    CustomField:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
        type:
          $ref: '#/components/schemas/CustomFieldTypeEnum'
        required:
          type: boolean
        description:
          type: string
        placeholder:
          type: string
        format_regex:
          type: string
          nullable: true
          minLength: 1
        format_hint:
          type: string
        step:
          nullable: true
        max:
          nullable: true
        min:
          nullable: true
        options:
          type: array
          items: {}
          nullable: true
      required:
        - description
        - format_hint
        - format_regex
        - id
        - max
        - min
        - name
        - options
        - placeholder
        - required
        - step
        - type
    CustomFieldTypeEnum:
      enum:
        - text
        - number
        - date
        - time
        - datetime
        - select
      type: string
      description: |-
        * `text` - text
        * `number` - number
        * `date` - date
        * `time` - time
        * `datetime` - datetime
        * `select` - select
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````